import React, { Component } from 'react';
import { Image, StyleSheet, View } from 'react-native';
import {instructionData}  from './src/common/Services/instruction';
import { SCREEN_WIDTH,SCREEN_HEIGHT } from './src/common/Constants';
import Header from './src/Screens/Header';
import VechicleSurveyInstruction from './src/Screens/VechicleSurveyInstruction'
import { PrimaryButton} from './src/common/ThemedComponents';
const camera = require('./src/common/Image/camera.png');
const recorder = require('./src/common/Image/recorder.png');


// Global Veriables
let instuction=[];

export default class PI extends Component {
  constructor(props){
    super(props);
    this.state={
      title:"",
      subTitle:"",
      image:"",
      points:[],
      index:0,
      totalSteps:""
    }
  }
  componentDidMount(){
      
    this.callInstructionServices()
    instuction=[]
  }
  callInstructionServices= async () => {
let V_instuction = await instructionData({
  typeId:"5"
})   

V_instuction.TSurveySteps.map(item=>{
instuction.push(item)
 this.setState({
  index:0
})
// One Time call from here
this.updateInstructionData()

})

  }

  updateInstructionData(){

if(this.state.index<instuction.length){
    this.setState({
  title:instuction[this.state.index].stepTitle,
  subTitle:instuction[this.state.index].description,
  image:instuction[this.state.index].stepAssests,
  points:instuction[this.state.index].TSurveyInstructions,
  index:this.state.index+1,
  totalSteps:instuction.length+1
})

}
  }
  render() {
    return(
      <View style={styles.main}>
        {console.log("Index  >>>  >> >",this.state.index)}
        <Header
        currentStep={this.state.index}
        totalSteps={this.state.totalSteps}
        onbackPress={()=>{
      if(this.state.index>0){
            this.setState({
                title:instuction[this.state.index].stepTitle,
  subTitle:instuction[this.state.index].description,
  image:instuction[this.state.index].stepAssests,
  points:instuction[this.state.index].TSurveyInstructions,
  totalSteps:instuction.length+1,
            index:this.state.index-1
          })
      }
        }}
        ></Header>
        {/* Instructions */}
       <VechicleSurveyInstruction
       title={this.state.title}
       subTitle={this.state.subTitle}
       image={this.state.image}
       points={this.state.points}
       />
<PrimaryButton
style={{marginBottom:24,marginRight:24,marginLeft:24}}
  onPress={() => {
        this.updateInstructionData()
          }}
          icon={({color, size }) =>{ 
         
          return <Image source={recorder}style={{width:30,height:30}} />
          }}
          >

        {"sdasda"}
          </PrimaryButton>
      </View>
    )
  }
}
 const styles = StyleSheet.create({
  main:{
        backgroundColor:"#FFFFFF",
        flex:1,
     
    },
     })